---
  - name: test site
    hosts: all
    ignore_errors: true
    become: yes
    
    tasks:
      - name: check website AppServer
        uri:
          url: "http://{{ ansible_facts['default_ipv4']['address'] }}:8080/appserver/dispatcher/hello"
          
      - name: check website AppServerAdmin
        uri:
          url: "http://{{ ansible_facts['default_ipv4']['address'] }}:8181/appserver/dispatcher/hello"
          
      - name: check website CV-SNIT
        uri:
          url: "http://{{ ansible_facts['default_ipv4']['address'] }}:7272/imp20/htmlclient"
          status_code: 403
          
      - name: check website BV-SNIT
        uri:
          url: "http://{{ ansible_facts['default_ipv4']['address'] }}:7373/bv/ws"
          status_code: 405
